curl --location --request POST 'https://api.rapidagent.ai/api/v1/tools' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>' \
--data-raw '{
"name": "My Zapier tool",
"type": "ZAPIER_NLA",
"metadata": {"zapier_nla_api_key": ""}
}'
{
"success": true,
"data": {
"id": "cli28c2vd00016itbrlhekwql",
"name": "My Zapier tool",
"type": "ZAPIER_NLA"
}
}
Tools
/tools
Create new tool.
POST
/
api
/
v1
/
tools
curl --location --request POST 'https://api.rapidagent.ai/api/v1/tools' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>' \
--data-raw '{
"name": "My Zapier tool",
"type": "ZAPIER_NLA",
"metadata": {"zapier_nla_api_key": ""}
}'
{
"success": true,
"data": {
"id": "cli28c2vd00016itbrlhekwql",
"name": "My Zapier tool",
"type": "ZAPIER_NLA"
}
}
Body
string
The name of the tool.
string
The type of tool, valid options
SEARCH, WOLFRAM_ALPHA, REPLICATE, ZAPIER_NLA, AGENT or OPENAPI.object
Any other configuration needed for the tool as an JSON object.
Response
boolean
Indicates whether the call was successful.
object
A
tool object.curl --location --request POST 'https://api.rapidagent.ai/api/v1/tools' \
--header 'Content-Type: application/json' \
--header 'Autorization: Bearer <token>' \
--data-raw '{
"name": "My Zapier tool",
"type": "ZAPIER_NLA",
"metadata": {"zapier_nla_api_key": ""}
}'
{
"success": true,
"data": {
"id": "cli28c2vd00016itbrlhekwql",
"name": "My Zapier tool",
"type": "ZAPIER_NLA"
}
}